package com.inspect.metadata.threshold.service;

import com.inspect.metadata.threshold.domain.BasedataThresholdModification;

import java.util.List;

public interface IBasedataThresholdModificationService {
    BasedataThresholdModification selectBasedataThresholdModificationByLineId(Long lineId);

    List<BasedataThresholdModification> selectBasedataThresholdModificationList(BasedataThresholdModification modification);

    int insertBasedataThresholdModification(BasedataThresholdModification modification);

    int updateBasedataThresholdModification(BasedataThresholdModification modification);

    int deleteBasedataThresholdModificationByLineIds(Long[] lineIds);

    int deleteBasedataThresholdModificationByLineId(Long lineId);
}
